Package org.springframework.cglib.transform

# Class ClassEmitterTransformer

java.lang.Object
org.springframework.asm.ClassVisitor
org.springframework.cglib.core.ClassTransformer
org.springframework.cglib.core.ClassEmitter
org.springframework.cglib.transform.ClassEmitterTransformer

Direct Known Subclasses:
  `AccessFieldTransformer`, `AddDelegateTransformer`, `AddInitTransformer`, `AddPropertyTransformer`, `AddStaticInitTransformer`, `FieldProviderTransformer`, `InterceptFieldTransformer`, `UndeclaredThrowableTransformer`

public abstract class ClassEmitterTransformer extends ClassEmitter

## Field Summary

### Fields inherited from class org.springframework.asm.ClassVisitor

`api, cv`

## Constructor Summary

Constructors
Constructor
Description
`ClassEmitterTransformer()`

## Method Summary

### Methods inherited from class org.springframework.cglib.core.ClassEmitter

`begin_class, begin_method, begin_static, declare_field, end_class, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, init, setTarget, visit, visitEnd, visitField, visitMethod`

### Methods inherited from class org.springframework.asm.ClassVisitor

`getDelegate, visitAnnotation, visitAttribute, visitInnerClass, visitModule, visitNestHost, visitNestMember, visitOuterClass, visitPermittedSubclass, visitRecordComponent, visitSource, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassEmitterTransformer

public ClassEmitterTransformer()